//
//  UMDiameterResultCode.h
//  ulibdiameter
//
//  Created by Andreas Fink on 03.06.19.
//  Copyright © 2019 Andreas Fink. All rights reserved.
//
typedef enum UMDiameterResultCode
{
    UMDiameterResultCode_DIAMETER_MULTI_ROUND_AUTH = 1001,
    UMDiameterResultCode_DIAMETER_SUCCESS = 2001,
    UMDiameterResultCode_DIAMETER_LIMITED_SUCCESS = 2002,
    UMDiameterResultCode_DIAMETER_FIRST_REGISTRATION = 2003,
    UMDiameterResultCode_DIAMETER_SUBSEQUENT_REGISTRATION = 2004,
    UMDiameterResultCode_DIAMETER_UNREGISTERED_SERVICE = 2005,
    UMDiameterResultCode_DIAMETER_SUCCESS_SERVER_NAME_NOT_STORED = 2006,
    UMDiameterResultCode_DIAMETER_SERVER_SELECTION = 2007,
    UMDiameterResultCode_DIAMETER_SUCCESS_AUTH_SENT_SERVER_NOT_STORED = 2008,
    UMDiameterResultCode_DIAMETER_SUCCESS_RELOCATE_HA = 2009,
    UMDiameterResultCode_DIAMETER_COMMAND_UNSUPPORTED = 3001,
    UMDiameterResultCode_DIAMETER_UNABLE_TO_DELIVER = 3002,
    UMDiameterResultCode_DIAMETER_REALM_NOT_SERVED = 3003,
    UMDiameterResultCode_DIAMETER_TOO_BUSY = 3004,
    UMDiameterResultCode_DIAMETER_LOOP_DETECTED = 3005,
    UMDiameterResultCode_DIAMETER_REDIRECT_INDICATION = 3006,
    UMDiameterResultCode_DIAMETER_APPLICATION_UNSUPPORTED = 3007,
    UMDiameterResultCode_DIAMETER_INVALID_HDR_BITS = 3008,
    UMDiameterResultCode_DIAMETER_INVALID_AVP_BITS = 3009,
    UMDiameterResultCode_DIAMETER_UNKNOWN_PEER = 3010,
    UMDiameterResultCode_DIAMETER_REALM_REDIRECT_INDICATION = 3011,
    UMDiameterResultCode_DIAMETER_AUTHENTICATION_REJECTED = 4001,
    UMDiameterResultCode_DIAMETER_OUT_OF_SPACE = 4002,
    UMDiameterResultCode_ELECTION_LOST = 4003,
    UMDiameterResultCode_DIAMETER_ERROR_MIP_REPLY_FAILURE = 4005,
    UMDiameterResultCode_DIAMETER_ERROR_HA_NOT_AVAILABLE = 4006,
    UMDiameterResultCode_DIAMETER_ERROR_BAD_KEY = 4007,
    UMDiameterResultCode_DIAMETER_ERROR_MIP_FILTER_NOT_SUPPORTED = 4008,
    UMDiameterResultCode_DIAMETER_END_USER_SERVICE_DENIED = 4010,
    UMDiameterResultCode_DIAMETER_CREDIT_CONTROL_NOT_APPLICABLE = 4011,
    UMDiameterResultCode_DIAMETER_CREDIT_LIMIT_REACHED = 4012,
    UMDiameterResultCode_DIAMETER_USER_NAME_REQUIRED = 4013,
    UMDiameterResultCode_RESOURCE_FAILURE = 4014,
    UMDiameterResultCode_DIAMETER_AVP_UNSUPPORTED = 5001,
    UMDiameterResultCode_DIAMETER_UNKNOWN_SESSION_ID = 5002,
    UMDiameterResultCode_DIAMETER_AUTHORIZATION_REJECTED = 5003,
    UMDiameterResultCode_DIAMETER_INVALID_AVP_VALUE = 5004,
    UMDiameterResultCode_DIAMETER_MISSING_AVP = 5005,
    UMDiameterResultCode_DIAMETER_RESOURCES_EXCEEDED = 5006,
    UMDiameterResultCode_DIAMETER_CONTRADICTING_AVPS = 5007,
    UMDiameterResultCode_DIAMETER_AVP_NOT_ALLOWED = 5008,
    UMDiameterResultCode_DIAMETER_AVP_OCCURS_TOO_MANY_TIMES = 5009,
    UMDiameterResultCode_DIAMETER_NO_COMMON_APPLICATION = 5010,
    UMDiameterResultCode_DIAMETER_UNSUPPORTED_VERSION = 5011,
    UMDiameterResultCode_DIAMETER_UNABLE_TO_COMPLY = 5012,
    UMDiameterResultCode_DIAMETER_INVALID_BIT_IN_HEADER = 5013,
    UMDiameterResultCode_DIAMETER_INVALID_AVP_LENGTH = 5014,
    UMDiameterResultCode_DIAMETER_INVALID_MESSAGE_LENGTH = 5015,
    UMDiameterResultCode_DIAMETER_INVALID_AVP_BIT_COMBO = 5016,
    UMDiameterResultCode_DIAMETER_NO_COMMON_SECURITY = 5017,
    UMDiameterResultCode_DIAMETER_RADIUS_AVP_UNTRANSLATABLE = 5018,
    UMDiameterResultCode_DIAMETER_ERROR_NO_FOREIGN_HA_SERVICE = 5024,
    UMDiameterResultCode_DIAMETER_ERROR_END_TO_END_MIP_KEY_ENCRYPTION = 5025,
    UMDiameterResultCode_DIAMETER_USER_UNKNOWN = 5030,
    UMDiameterResultCode_DIAMETER_RATING_FAILED = 5031,
    UMDiameterResultCode_DIAMETER_ERROR_USER_UNKNOWN = 5032,
    UMDiameterResultCode_DIAMETER_ERROR_IDENTITIES_DONT_MATCH = 5033,
    UMDiameterResultCode_DIAMETER_ERROR_IDENTITY_NOT_REGISTERED = 5034,
    UMDiameterResultCode_DIAMETER_ERROR_ROAMING_NOT_ALLOWED = 5035,
    UMDiameterResultCode_DIAMETER_ERROR_IDENTITY_ALREADY_REGISTERED = 5036,
    UMDiameterResultCode_DIAMETER_ERROR_AUTH_SCHEME_NOT_SUPPORTED = 5037,
    UMDiameterResultCode_DIAMETER_ERROR_IN_ASSIGNMENT_TYPE = 5038,
    UMDiameterResultCode_DIAMETER_ERROR_TOO_MUCH_DATA = 5039,
    UMDiameterResultCode_DIAMETER_ERROR_NOT_SUPPORTED_USER_DATA = 5040,
    UMDiameterResultCode_DIAMETER_ERROR_MIP6_AUTH_MODE = 5041,
    UMDiameterResultCode_UNKNOWN_BINDING_TEMPLATE_NAME = 5042,
    UMDiameterResultCode_BINDING_FAILURE = 5043,
    UMDiameterResultCode_MAX_BINDINGS_SET_FAILURE = 5044,
    UMDiameterResultCode_MAXIMUM_BINDINGS_REACHED_FOR_ENDPOINT = 5045,
    UMDiameterResultCode_SESSION_EXISTS = 5046,
    UMDiameterResultCode_INSUFFICIENT_CLASSIFIERS = 5047,
    UMDiameterResultCode_DIAMETER_ERROR_EAP_CODE_UNKNOWN = 5048,
} UMDiameterResultCode;


